curl --request GET \
--url https://api.fabric.inc/v3/product-attributes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fabric.inc/v3/product-attributes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/product-attributes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get Single Attribute
Retrieves details of a specific attribute by its ID. Attributes define how product information such as name, size, or color is displayed on e-commerce platforms.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Path Parameters
The 24-character system-generated ID of the attribute to retrieve.
Query Parameters
Comma-separated locale codes of product. You'll get a 400 error if the locales aren't supported. Refer to standard locales in https://www.rfc-editor.org/rfc/rfc5646.
"fr-CA, en-US"
Response
OK
Attribute ID
"CAZZX1234567DDDDD"
Non-localized attribute name. Refer to localizedProperties to get the localized name.
"color"
Brief description of attribute
"Product color"
Attribute type
TEXT, NUMBER, DATETIME, BOOLEAN, OPTIONS, SERIAL "TEXT"
Single string for EQUALS operation; comma-separated string for an IN operation
PRODUCT, CATEGORY "PRODUCT"
Names of localized attributes
Show child attributes
Show child attributes
{ "en-US": { "name": "color" }, "en-IN": { "name": "colour" } }
true: Attribute name is translated into different languages or localized for different regions
false: Attribute name isn't localized Note: Refer to localizedProperties to get relevant attributes based on locale.
true
Validation details
Show child attributes
Show child attributes
Email of the user who last updated the attribute
"test@email.com"
Time of attribute creation (UTC)
"2021-04-20T10:24:36.162Z"
Time of last update to attribute (UTC)
"2021-04-20T10:24:36.162Z"
Was this page helpful?
